/*
 * Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TIZEN_SYSTEM_STORAGE_DOC_H__
#define __TIZEN_SYSTEM_STORAGE_DOC_H__

/**
 * @ingroup CAPI_SYSTEM_FRAMEWORK
 * @defgroup CAPI_SYSTEM_STORAGE_MODULE Storage
 * @brief  The STORAGE API provides functions to get storage information.
 *
 * @section CAPI_SYSTEM_STORAGE_MODULE_HEADER Required Header
 *   \#include <storage.h> \n
 *
 * @section CAPI_SYSTEM_STORAGE_MODULE_OVERVIEW Overview
 * The STORAGE API provides functions to get storage information.
 *
 * The type of storage information includes:
 * - Root directory
 * - Storage type (Internal or External)
 * - Storage status
 * - Total and available space size
 *
 * The type of directory information includes:
 * - Images
 * - Sounds
 * - Videos
 * - Camera
 * - Downloads
 * - Music
 * - Documents
 * - Others
 * - System ringtones
 *
 */

#endif /* __TIZEN_SYSTEM_STORAGE_DOC_H__ */
